Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002179TestLinkAPI - XMLRPCpublic2009-03-03 09:202009-04-05 00:42
Reportert_ogawa 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 5 
Fixed in Version1.8.0 
Summary0002179: getTestCasesForTestSuite fails
DescriptionI hope to change "$this->get_testcases_deep" to "$tsuiteMgr->get_testcases_deep".

lib/api/xmlrpc.php 1580-1590
  $tsuiteMgr = new testsuite($this->dbObj);

  if(!$this->_isDeepPresent() || $this->args[self::$deepParamName] )
  {
      // return $this->get_testcases_deep($testSuiteID,$details);
      return $tsuiteMgr->get_testcases_deep($testSuiteID,$details);
  }
  else
  {
      return $tsuiteMgr->get_children_testcases($testSuiteID,$details);
  }
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version5.1.16
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-2179.zip [^] (17,718 bytes) 2009-03-04 01:32

- Relationships

-  Notes
(0005712)
fman (administrator)
2009-03-04 01:32

Thanks!
(0005713)
fman (administrator)
2009-03-04 01:33

please use attached file, retest and give us feedback
(0005720)
t_ogawa (reporter)
2009-03-04 08:58

The attached file was used and tested.
It succeeded.
Thanks!

- Issue History
Date Modified Username Field Change
2009-03-03 09:20 t_ogawa New Issue
2009-03-03 09:20 t_ogawa PHP Version => 5.1.16
2009-03-03 19:49 fman Status new => assigned
2009-03-03 19:49 fman Assigned To => fman
2009-03-04 01:32 fman Note Added: 0005712
2009-03-04 01:32 fman File Added: fix-2179.zip
2009-03-04 01:33 fman Note Added: 0005713
2009-03-04 01:33 fman Status assigned => feedback
2009-03-04 08:58 t_ogawa Note Added: 0005720
2009-03-11 16:31 fman Status feedback => resolved
2009-03-11 16:31 fman Fixed in Version => 1.8.0
2009-03-11 16:31 fman Resolution open => fixed
2009-04-05 00:42 mhavlat Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker